Summary: Secure Sockets Layer communications libs & utils
Name: openssl
Version: 0.9.6j
%define sover 0.9.6
Release: 1
Group: Security/Encryption
Copyright: BSD Style Open Source
URL: http://www.openssl.org/
Packager: Hao Li <hli@haoli.org>
Source: http://www.openssl.org/source/openssl-%{version}.tar.gz
# Backward compatibility for packages linked to RH72/73/80's openssl-0.9.6.
Provides: libcrypto.so.2, libssl.so.2
BuildRoot: /var/tmp/%{name}-root

%description
A C library that provides various crytographic algorithms and protocols,
including DES, RC4, RSA, and SSL. Includes shared libraries and utils.


%package devel
Summary: Secure Sockets Layer communications static libs & headers.
Group: Development/Libraires
Requires: openssl = %{version}

%description devel
A C library that provides various crytographic algorithms and protocols,
including DES, RC4, RSA, and SSL. Includes static libraries and headers.


%prep
%setup -q
perl util/perlpath.pl /usr/bin


%build
./Configure --prefix=/usr --openssldir=/var/ssl linux-elf shared
LD_LIBRARY_PATH=`pwd` make
LD_LIBRARY_PATH=`pwd` make test


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT MANDIR=/usr/man

# Fix .so permissions
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib{crypto,ssl}.so.%{sover}

# Make the fake symlinks just to keep those brain-dead RedHat people happy
ln -s libcrypto.so.%{sover} $RPM_BUILD_ROOT/usr/lib/libcrypto.so.2
ln -s libssl.so.%{sover}    $RPM_BUILD_ROOT/usr/lib/libssl.so.2

# Rename manpages
find $RPM_BUILD_ROOT/usr/man -type f -exec mv {} {}ssl \;


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc CHANGES FAQ INSTALL LICENSE NEWS PROBLEMS README README.ENGINE
%doc doc/*.txt
/usr/bin/*
/usr/lib/*.so.*
/usr/man/man[157]/*
%dir /var/ssl
/var/ssl/certs
/var/ssl/lib
/var/ssl/misc
/var/ssl/private
%config /var/ssl/openssl.cnf


%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so
/usr/man/man3/*
 

%clean
rm -rf $RPM_BUILD_ROOT

